This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1302025 - Java.lang.OutOfMemoryError: Java Heap Space during Installation thrown
Java.lang.OutOfMemoryError: Java Heap Space during Installation thrown
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Windows
urgent Severity urgent
: ER3
: 6.3.0
Assigned To: Thomas Hauser
Dominik Hanak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 09:34 EST by Dominik Hanak
Modified: 2016-04-19 05:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the error (392.04 KB, image/jpeg)
2016-01-26 09:34 EST, Dominik Hanak
no flags Details

  None (edit)
Description Dominik Hanak 2016-01-26 09:34:08 EST
Created attachment 1118532 [details]
Screenshot of the error

Description of problem:
When Installing BRMS/BPMS on specific OS/JDK combinations
there is a failure on step "Deploy business-central.war"
See the thrown exception in attachments.

Version-Release number of selected component (if applicable):
Combinations:
Windows8.1/oracle-jdk1.8 (32bit JVM)
Windows Server 2008/oracle-jdk-1.7(64bit JVM)


How reproducible:
always

Steps to Reproduce:
1. Run Installer with OS/Jdk mentioned above
2. Use default settings
3. Process the installation

Actual results:
Exception is thrown and Installer fails the installation.


Expected results:
No exception is thrown and Installer succeeds.


Additional info:
Also I can't see anything in log and since it fails the installation
it should be logged.
Comment 2 Spolti 2016-01-26 09:46:19 EST
I believe that it is not necessary a bug, you can change the Xms and Xmx values:

java -jar -Xms1024m -Xmx1024m brms-installer.jar

Did you try this?

IF you use this and look at Jconsole:
Current heap size:    63,753 kbytes
Maximum heap size: 1,005,056 kbytes
Committed memory:  1,005,056 kbytes

VM arguments: -Xms1024m -Xmx1024m 
Class path: /home/fspolti/Downloads/jboss-bpmsuite-6.2.0.GA-installer.jar
Library path: /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib

Boot class path: 
/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/resources.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/rt.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/jsse.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/jce.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/charsets.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/lib/jfr.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-15.b17.fc23.x86_64/jre/classes
Comment 3 Dominik Hanak 2016-01-26 09:57:23 EST
Hi Spolti,

yes I have tried to change -Xms and -Xmx, but the results were the same.

It is because Installer uses another jars to perform some operations and this
error isn't caused in Installer's process but in a process invoked by Installer itself.
Comment 11 Dominik Hanak 2016-02-05 04:34:37 EST
This, as we found out is not Installer bug, but the scenario when using
32bit JVM and 64bit OS.

When this error occurs it should still be logged.
I am degrading the severity since this BZ is now only about logging this error when occured.
Comment 12 Thomas Hauser 2016-02-05 14:47:24 EST
The error will prevent installation, and in fact will prevent the domain mode of BxMS from running at all on the target machine. In this case, should we abort domain configuration in the installer and log the reason? If so this can be fixed early next week.
Comment 22 Dominik Hanak 2016-04-19 05:49:49 EDT
Verified with 6.3.0.ER3.

Note You need to log in before you can comment on or make changes to this bug.